obgen(1)

NAME
obgen - generate 3D coordinates for a molecule

SYNOPSIS
obgen [OPTIONS] filename

DESCRIPTION
The obgen tool will generate 3D coordinates for molecules in a file (e.g. multi-molecule SMILES files). The resulting structure will be optimized using the given forcefield and checked for the lowest-energy conformer using a Monte Carlo search. Output will be sent to standard output in the SDF file format.

OPTIONS
If no filename is given, obgen will give all options including the available forcefields.

-ff forcefield
    Select the forcefield

EXAMPLES

View the possible options, including available forcefields:
    obgen

Generate 3D coordinates for the molecule(s) in file test.smi:
    obgen test.smi

Generate 3D coordinates for the molecule(s) in file test.smi using the UFF forcefield:
    obgen -ff UFF test.smi

SEE ALSO
babel(1), obminimize(1), obconformer(1).

The web pages for Open Babel can be found at: <http://openbabel.org/>

The web pages for Open Babel Molecular Mechanics can be found at: <http://openbabel.org/wiki/Molecular_mechanics>

AUTHORS
The obgen program was contributed by Tim Vandermeersch.

-nosplit Open Babel is developed by a cast of many, including currrent maintainers Geoff Hutchison, Chris Morley, Michael Banck, and innumerable others who have contributed fixes and additions. For more contributors to Open Babel, see <http://openbabel.org/wiki/THANKS>

COPYRIGHT
Copyright (C) 2007-2008 by Tim Vandermeersch.

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation version 2 of the License.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.